package es.ejie.frmk.infraestructura.utilidades.mapeador.converters;

import es.ejie.frmk.infraestructura.utilidades.mapeador.Q70ConverterMapeador;

/**
 * Clase que realiza la conversión de minúsculas a mayusculas
 */

public class Q70touppercaseConverter implements Q70ConverterMapeador{

	/**
	 * Constructor de la clase
	 */
	public Q70touppercaseConverter() {
		super();
	}

	/**
	 * Función que pone la información para la conversión
	 * @see es.ejie.frmk.infraestructura.utilidades.mapeador.Q70ConverterMapeador
	 * */
	public void setConvertInformation(Object newObjInformacion) {
	}

	/**
	 * Función que realiza la conversión
	 * @see org.apache.commons.beanutils.Converter
	 * */
	public Object convert(Class type, Object value) {
		
		String strValue = (String) value;
		strValue = strValue.toUpperCase();		
		
	return strValue;
	}

}